#include <stdio.h>
#include <stdlib.h>
#include <avr/io.h>
#include <avr/interrupt.h>
 
#include "uart.h"

int main (void)
{	
	double	watchdog = 0;
	char	temp;
	
	uart_init();
	sei();
		
	while (1)
	{
		if (uart_data_received())			//es sind Daten im Empfangspuffer
		{	
			temp = uart_getc();				// Warte auf und empfange das nchste Zeichen
 
			switch(temp){
				case 0:
				
					SENSOR_CMD();
					
					break;
					
				default:
					
					temp = (0x23);
					uart_putc(temp);				//und ber den Sendepuffer ausgeben
					
					break;
			}
						
			
        }
			
	if(watchdog==50000){uart_puts("."); watchdog=0;}
	watchdog++;
	}
return 0;
}
